Skip to main content
POST
/
v1
/
rules
/
{rule_id}
/
deactivate
Deactivate a Rule
curl --request POST \
  --url https://tracer.lerian.io/v1/rules/{rule_id}/deactivate \
  --header 'Content-Type: <content-type>' \
  --header 'X-API-Key: <x-api-key>'
{ "ruleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "expression": "<string>", "action": "ALLOW", "scopes": [ { "segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "transactionType": "CARD", "subType": "<string>" } ], "status": "DRAFT", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "activatedAt": "2023-11-07T05:31:56Z", "deactivatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z" }

Headers

Content-Type
string
required

The type of media of the resource. Must be application/json.

X-API-Key
string
required

The API Key for authentication. This header is required for all endpoints except health checks.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

rule_id
string<uuid>
required

The unique identifier of the rule that you want to retrieve, update or delete.

Response

Indicates that the rule was successfully deactivated.

Validation rule.

ruleId
string<uuid>

Unique identifier for the rule.

name
string

Human-readable rule name (globally unique).

Maximum string length: 255
description
string

Rule purpose and logic explanation.

Maximum string length: 1000
expression
string

CEL expression that must evaluate to boolean.

Maximum string length: 5000
action
enum<string>

Action taken when rule expression evaluates to true.

Available options:
ALLOW,
DENY,
REVIEW
scopes
object[]

Scopes that determine which transactions this rule applies to.

status
enum<string>

Rule lifecycle status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
createdAt
string<date-time>

When the rule was created.

updatedAt
string<date-time>

When the rule was last modified.

activatedAt
string<date-time> | null

When rule was last activated (null if never activated).

deactivatedAt
string<date-time> | null

When rule was last deactivated (null if never deactivated).

deletedAt
string<date-time> | null

When rule was deleted (null if not deleted).